Skip to content
View Markdown

List file versions newest first

GET/v1/disks/{disk}/history
GET
/v1/disks/{disk}/history
curl --request GET \
--url 'https://api.wabe.sh/v1/disks/demo/history?path=%2Fnotes.txt' \
--header 'Authorization: Bearer <token>'
disk
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

demo

Project disk name, or the disk ID in the actor runtime disk URL.

branch
string
commit
string format: uuid
label
string
path
required
string

Example

/notes.txt

One JSON record per file version, newest first.

Media typeapplication/x-ndjson
string

Example

{"metadata":{"version":2,"object_id":"1a99088e-bfec-4eec-87e4-19ba5acf29e1","version_id":"f75f43ae-8375-48f0-8bcd-862cb75c26ef","branch_id":"8ec08f61-c6b4-4f3a-83e9-d46ae3e5bc30","revision":1,"first_edit_at_ms":1794225600000,"last_edit_at_ms":1794225600000,"mode":33188,"kind":{"File":{"content_root":null,"size":0,"chunk_bytes":65536}}},"sealed":true}

Invalid input.

Media typetext/plain
string

Missing, invalid or revoked project API key, or an invalid runtime access token.

Media typeapplication/json
object
error
required
string
message
required
string

Actor runtime token does not authorize this disk or instance generation.

Media typeapplication/json
object
error
required
string
message
required
string

Object was not found.

Media typetext/plain
string

Conflict, nonempty destination or referenced object.

Media typetext/plain
string

Storage, I/O or corruption failure.

Media typetext/plain
string

Disk unavailable.

Media typeapplication/json
object
error
required
string
message
required
string